|  | Home | Documentation | _struct Struct Reference updated Wed Mar 1 2017 by Robert van Engelen |

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
_struct Struct Reference

Represents the <struct> record structure element. More...

`#include <xml-rpc.h>`

Collaboration diagram for _struct:
[legend]

## Public Types
typedef _struct_iterator | iterator
typedef _struct_const_iterator | const_iterator

## Public Member Functions
| _struct ()
| _struct (struct soap *)
| _struct (struct soap *, int)
bool | empty () const
| true if struct is empty More...
int | size () const
| number of accessors in struct More...
struct value & | operator[] (int)
| struct index (negative to get from end) More...
struct value & | operator[] (const char *)
| struct accessor More...
struct value & | operator[] (const wchar_t *)
| struct accessor More...
_struct_iterator | begin () const
| struct iterator begin More...
_struct_iterator | end () const
| struct iterator end More...

## Public Attributes
int | __size
| number of members More...
struct member * | member
| pointer to member array More...
struct soap * | soap
| ref to soap struct that manages this type More...

## Detailed Description

Represents the <struct> record structure element.

## Member Typedef Documentation

typedef _struct_const_iterator _struct::const_iterator

typedef _struct_iterator _struct::iterator

## Constructor & Destructor Documentation

_struct::_struct | ( |  | ) |

_struct::_struct | ( | struct soap * |  | ) |

_struct::_struct | ( | struct soap * | ,
|  | int |
| ) |  |

## Member Function Documentation

_struct_iterator _struct::begin | ( |  | ) | const

struct iterator begin

bool _struct::empty | ( |  | ) | const

true if struct is empty

_struct_iterator _struct::end | ( |  | ) | const

struct iterator end

struct value& _struct::operator[] | ( | int |  | ) |

struct index (negative to get from end)

struct value& _struct::operator[] | ( | const char * |  | ) |

struct accessor

struct value& _struct::operator[] | ( | const wchar_t * |  | ) |

struct accessor

int _struct::size | ( |  | ) | const

number of accessors in struct

## Member Data Documentation

int _struct::__size

number of members

struct member* _struct::member

pointer to member array

struct soap* _struct::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- xml-rpc.h